#
# TestEffortEst-fishing.R,  6 Apr 25
#
# Data from:
# An Empirical Study on Software Test Effort Estimation for Defense Projects
# ESRA CIBIR and TÜLİN ERÇELEBİ AYYILDIZ

# library("colorspace")
# library("plyr")


par(bty="l")
par(las=1)
par(pch="+")
# pal_col=rainbow(2)


ta=read.csv("proj-test-attr.csv")

plot(~ Actual_Effort +TestPlanTime+Req_Rev_Period+Test_Env_Time+Meetings+Faulty_Scenarios+Scenarios, data=ta, cex=1.3)

dev.copy(dev=png, file="proj-test-attr.png")
dev.off()

# authors' model
act_1_mod=glm(Actual_Effort ~ Scenarios+TestPlanTime+Req_Rev_Period+Test_Env_Time+Meetings+Faulty_Scenarios, data=ta)
summary(act_1_mod)

act_2_mod=glm(Actual_Effort ~ Scenarios+TestPlanTime+               Test_Env_Time+Meetings+Faulty_Scenarios, data=ta)
summary(act_2_mod)

act_3_mod=glm(Actual_Effort ~ Scenarios+TestPlanTime+                             Meetings+Faulty_Scenarios, data=ta)
summary(act_3_mod)

act_4_mod=glm(Actual_Effort ~                                                              Faulty_Scenarios, data=ta)
summary(act_4_mod)

act_5_mod=glm(Actual_Effort ~ Scenarios+TestPlanTime+Req_Rev_Period+Test_Env_Time+Meetings                 , data=ta)
summary(act_5_mod)


